%define	upstream_name	 XML-Parser
%define	upstream_version 2.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A perl module for parsing XML documents
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    http://uucode.com/xml/perl/enc.tar.bz2
Patch0:     XML-Parser-2.36-use_filehandle.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP)
BuildRequires: chrpath
BuildRequires: libexpat-devel >= 2.0.1
BuildRequires: perl-devel
BuildRequires: perl-libwww-perl
%description
A perl module for parsing XML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%setup -q -n %{upstream_name}-%{upstream_version} -T -D -a 1
%patch0 -p0 -b .filehandle

%build
%define Werror_cflags %{nil}
perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
install -m 644 enc/koi8-r.enc %{buildroot}%{perl_vendorarch}/XML/Parser/Encodings
chmod +w   %{buildroot}%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/XML/Parser/Expat/Expat.so

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorarch}/XML/Parser*
%{perl_vendorarch}/auto/XML/Parser*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.410.0-3.mga3
+ Revision: 375101
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 2.410.0-2.mga3
+ Revision: 283421
- Rebuild for new perl

* Wed Jun 15 2011 jquelin <jquelin> 2.410.0-1.mga2
+ Revision: 107591
- update to 2.41

* Sun Jun 12 2011 ahmad <ahmad> 2.400.0-3.mga2
+ Revision: 104561
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 2.400.0-2.mga1
+ Revision: 23275
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-XML-Parser

